DROP TABLE CRST_PO_VENDOR_CONTACTS;

CREATE TABLE CRST_PO_VENDOR_CONTACTS
(
  VENDOR_CONTACT_ID       NUMBER                NOT NULL,
  LAST_UPDATE_DATE        DATE                  NOT NULL,
  LAST_UPDATED_BY         NUMBER                NOT NULL,
  VENDOR_SITE_ID          NUMBER                NOT NULL,
  LAST_UPDATE_LOGIN       NUMBER,
  CREATION_DATE           DATE,
  CREATED_BY              NUMBER,
  INACTIVE_DATE           DATE,
  FIRST_NAME              VARCHAR2(15 BYTE),
  MIDDLE_NAME             VARCHAR2(15 BYTE),
  LAST_NAME               VARCHAR2(20 BYTE),
  PREFIX                  VARCHAR2(5 BYTE),
  TITLE                   VARCHAR2(30 BYTE),
  MAIL_STOP               VARCHAR2(35 BYTE),
  AREA_CODE               VARCHAR2(10 BYTE),
  PHONE                   VARCHAR2(15 BYTE),
  ATTRIBUTE_CATEGORY      VARCHAR2(30 BYTE),
  ATTRIBUTE1              VARCHAR2(150 BYTE),
  ATTRIBUTE2              VARCHAR2(150 BYTE),
  ATTRIBUTE3              VARCHAR2(150 BYTE),
  ATTRIBUTE4              VARCHAR2(150 BYTE),
  ATTRIBUTE5              VARCHAR2(150 BYTE),
  ATTRIBUTE6              VARCHAR2(150 BYTE),
  ATTRIBUTE7              VARCHAR2(150 BYTE),
  ATTRIBUTE8              VARCHAR2(150 BYTE),
  ATTRIBUTE9              VARCHAR2(150 BYTE),
  ATTRIBUTE10             VARCHAR2(150 BYTE),
  ATTRIBUTE11             VARCHAR2(150 BYTE),
  ATTRIBUTE12             VARCHAR2(150 BYTE),
  ATTRIBUTE13             VARCHAR2(150 BYTE),
  ATTRIBUTE14             VARCHAR2(150 BYTE),
  ATTRIBUTE15             VARCHAR2(150 BYTE),
  REQUEST_ID              NUMBER,
  PROGRAM_APPLICATION_ID  NUMBER,
  PROGRAM_ID              NUMBER,
  PROGRAM_UPDATE_DATE     DATE,
  CONTACT_NAME_ALT        VARCHAR2(320 BYTE),
  FIRST_NAME_ALT          VARCHAR2(230 BYTE),
  LAST_NAME_ALT           VARCHAR2(230 BYTE),
  DEPARTMENT              VARCHAR2(230 BYTE),
  VENDOR_CONTACT_ID_N     NUMBER
);
